<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_presentation_include.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

if ($profile_method == "input") {
    require_once INCLUDES."bbcode_include.php";

    $options = [
        'bbcode'      => TRUE,
        'inline'      => TRUE,
        'error_text'  => $locale['uf_presentation_error'],
        'placeholder' => $locale['uf_presentation_desc'],
        'form_name'   => 'userfieldsform'
    ] + $options;

    $user_fields = form_textarea('user_presentation', $locale['uf_presentation'], $field_value, $options);

} elseif ($profile_method == "display") {
    $user_fields = [
        'title' => $locale['uf_presentation'],
        'value' => $field_value ? parse_textarea($field_value, TRUE, TRUE, FALSE, NULL, TRUE) : ''
    ];
}

